Jump to content

# Erlang

3 languages

- Español
- 日本語
- 中文（简体）

From ArchWiki

This article or section is a candidate for merging with List of applications.

Notes: Content does not justify dedicated article (Discuss in Talk:Erlang)

Erlang is a programming language with the specific qualities of immutable data and distributed computing.

## Installation

Install the erlang package.

## Usage

For further documentation you can read Erlang's docs.

To activate the console, run:

    $ erl

Commands can be entered like this:

    Erlang/OTP 22 [erts-10.7.2] [source] [64-bit] [smp:4:4] [ds:4:4:10] [async-threads:1] [hipe]
    Eshell V10.7.2  (abort with ^G)
    1> 1 + 2 .
    3
    2> (2 + 3) * 4 / 5 .
    4.0
    3>

## Tips and tricks

### Emacs mode

To set up the included Emacs mode, `erlang-mode`, follow the documentation (the OTP path is `/usr/lib/erlang`).

Category:

- Programming languages

Hidden category:

- Pages or sections flagged with Template:Merge